return {
	"nvim-tree/nvim-tree.lua",
	dependencies = {
		"nvim-tree/nvim-web-devicons",
	},
	opts = {
		hijack_directories = {
			enable = true, -- Перехватывать открытие директорий
			auto_open = true, -- Автоматически открывать при старте
		},
		sort = {
			sorter = "case_sensitive",
		},
		view = {
			width = 30,
		},
		git = {
			enable = true,
		},
		renderer = {
			group_empty = true,
			highlight_git = true,
			icons = {
				show = {
					git = true,
				},
			},
		},
		filters = {
			dotfiles = false,
		},
		update_focused_file = {
			enable = true,
			update_root = false,
		},
	},
	keys = {
		{
			"<C-c>",
			function()
				local api = require("nvim-tree.api")
				local global_cwd = vim.fn.getcwd(-1, -1)
				api.tree.change_root(global_cwd)
			end,
			noremap = true,
			silent = true,
			desc = "Change tree root to CWD",
		},
		{ "<F3>", ":NvimTreeToggle<CR>", noremap = true, silent = true, desc = "Toggle file tree" },
	},
}
